| 
  • If you are citizen of an European Union member nation, you may not use this service unless you are at least 16 years old.

  • You already know Dokkio is an AI-powered assistant to organize & manage your digital files & messages. Very soon, Dokkio will support Outlook as well as One Drive. Check it out today!

View
 

10ο Μάθημα FreeCAD

Page history last edited by Zissis Karasimos 5 years, 12 months ago

Άσκηση 10: Χρήση του Part workbench. Σχεδιασμός δύο γραναζιών με κίνηση.

Αφόρμηση από το FreeCAD αρχείο Gearbox.fcstd (Το κατεβάζετε μαζί με το αρχείο AnimationScript από το φάκελλο "ΕΙΚΟΝΕΣ-Fonts-Αρχεία" το οποίο το ενσωματώνετε στο Gearbox.fcstd μέσω της Python console). Για να σταματάει η κίνηση γράφουμε στη γραμμή της Python timer.stop() 

 

Βήματα δραστηριότητας:

1. File > New (κλικ)

2. Part Design  workbench (επιλογή)

3. Μενού Part Design > Involute gear...

4. Εισάγουμε ένα γρανάζι (gear) με 30 δόντια. Τα υπόλοιπα πεδία τα αφήνουμε ως έχουν. Δημιουργείται το αντικείμενο InvoluteGear

5. Επιλέγουμε το Involute Gear και κάνουμε Pad με τις προτεινόμενες τιμές του FreeCAD

6. Επαναλαμβάνουμε τα βήματα 3, 4, 5 όπου το InvoluteGear001 θα έχει 20 δόντια. Έτσι θα έχουμε φτιάξει και το αντικείμενο Pad001

7. Το αντικείμενο Pad001 (για την ακρίβεια το εμφωλευμένο InvoluteGear001) το τοποθετούμε στη θέση Υ=62mm. Έτσι τα δύο γρανάζια θα εφάπτονται μεταξύ τους και τα δόντια του ενός θα είναι ανάμεσα στα δόντια του άλλου

8. Πληροφορούμαστε  από τη Μηχανολογία ότι ένας κύκλος του μεγαλύτερου γραναζιού αντιστοιχεί σε 30/20=1,5 κύκλους του μικρότερου γραναζιού (δόντια μεγαλύτερου/δόντια μικρότερου)

9. Θέλουμε να κάνουμε τα γρανάζια να γυρίζουν, γιαυτό προσθέτουμε τον κώδικα που παρατίθεται πιο κάτω στην κονσόλα της Python (View > Panels > Python console)

 

from PySide import QtCore

i=0.0

def Rotate():

     global i

     Gear1=FreeCAD.ActiveDocument.getObject("Pad")

     Gear2=FreeCAD.ActiveDocument.getObject("Pad001")

     Gear1.Placement=FreeCAD.Placement(FreeCAD.Vector(0,0,0),FreeCAD.Rotation(FreeCAD.Vector(0,0,1),-i), FreeCAD.Vector(0,0,0))

     Gear2.Placement=FreeCAD.Placement(FreeCAD.Vector(0,62,0),FreeCAD.Rotation(FreeCAD.Vector(0,0,1),i*1.5), FreeCAD.Vector(0,0,0))

     i+=0.1

 

timer = QtCore.QTimer()

timer.timeout.connect(Rotate)

timer.start(1)

 

ΤΕΛΟΣ

File > Save > Example_10 (επέκταση .FCStd)

File > Export > Example_10 ως STL Mesh (*.stl) (επέκταση .stl)

 

Εικόνες του αντικειμένου

 

 

Comments (0)

You don't have permission to comment on this page.